micro_utils.dokka
0.15.1

# SimpleSuspendableMapperImpl

class SimpleSuspendableMapperImpl<T1, T2>(t1: suspend (T2) -> T1, t2: suspend (T1) -> T2) : SimpleSuspendableMapper<T1, T2>

## Constructors

SimpleSuspendableMapperImpl
Link copied to clipboard
fun <T1, T2> SimpleSuspendableMapperImpl(t1: suspend (T2) -> T1, t2: suspend (T1) -> T2)

## Functions

convertToT1
Link copied to clipboard
open suspend override fun convertToT1(from: T2): T1
convertToT2
Link copied to clipboard
open suspend override fun convertToT2(from: T1): T2

## Extensions

convert
Link copied to clipboard
@JvmName(name = "convertFromT2")
suspend fun <T1, T2> SimpleSuspendableMapper<T1, T2>.convert(from: T2): T1
@JvmName(name = "convertFromT1")
suspend fun <T1, T2> SimpleSuspendableMapper<T1, T2>.convert(from: T1): T2